"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLogger = void 0;
const navigation_1 = require("next/navigation");
const logger_1 = require("./logger");
const react_1 = require("react");
function useLogger(config = {}) {
    const path = (0, navigation_1.usePathname)();
    (0, react_1.useEffect)(() => {
        return () => {
            if (logger) {
                logger.flush();
            }
        };
    }, [path]);
    if (!config.args) {
        config.args = {};
    }
    config.args.path = path;
    const logger = new logger_1.Logger(config);
    return logger;
}
exports.useLogger = useLogger;
//# sourceMappingURL=hooks.js.map